;;; tex-load.el - autoloads for AUC TeX

;;; Code:

;;; Emacs Version

(cond ((< (string-to-int emacs-version) 19)
       (require 'tex-18))
      ((string-match "Lucid" emacs-version)
       (require 'tex-lcd))
      (t
       (require 'tex-19)))

;;; Generated autoloads follow (made by autoload.el).

;; To sort them, execute the following after narrowing
;; to a region starting just after the following formfeed (control-l)
;; and ending just after the last formfeed in the file.

;;(sort-regexp-fields nil "\n*.*\n.*from \\(.*\\)[^]*" "\\1" (point-min) (point-max))


;;;### (autoloads (LaTeX-show-environment LaTeX-hide-environment LaTeX-close-environment LaTeX-insert-item LaTeX-environment) "ltx-env" "/user/amanda/auctex/ltx-env.el" (11499 54913))
;;; Generated autoloads from /user/amanda/auctex/ltx-env.el

(autoload (quote LaTeX-environment) "ltx-env" "\
Make LaTeX environment (\\begin{...}-\\end{...} pair).
With optional ARG, modify current environment.

It may be customized with the following variables:

LaTeX-default-environment	Your favorite environment.
LaTeX-default-style		Your favorite document style.
LaTeX-default-options		Your favorite document style options.
LaTeX-float                     Where you want figures and tables to float.
LaTeX-table-label               Your prefix to labels in tables.
LaTeX-figure-label              Your prefix to labels in figures.
LaTeX-default-format		Format for array and tabular.
LaTeX-default-position		Position for array and tabular." t nil)

(autoload (quote LaTeX-insert-item) "ltx-env" "\
Insert a new item in an environment.
You may use LaTeX-item-list to change the routines used to insert the item." t nil)

(autoload (quote LaTeX-close-environment) "ltx-env" "\
Creates an \\end{...} to match the current environment." t nil)

(autoload (quote LaTeX-hide-environment) "ltx-env" "\
Hide current LaTeX environment using selective display." t nil)

(autoload (quote LaTeX-show-environment) "ltx-env" "\
Show current LaTeX environment." t nil)

;;;***

;;;### (autoloads (LaTeX-math-mode) "ltx-math" "/user/amanda/auctex/ltx-math.el" (11499 54918))
;;; Generated autoloads from /user/amanda/auctex/ltx-math.el

(autoload (quote LaTeX-math-mode) "ltx-math" "\
A minor mode with easy acces to TeX math macros. 

Easy insertion of LaTeX math symbols.  If you give a prefix argument,
the symbols will be surrounded by dollar signs.  The following
commands are defined:

\\{LaTeX-math-keymap}" t nil)

(fset (quote latex-math-mode) (quote LaTeX-math-mode))

;;;***

;;;### (autoloads (BibTeX-auto-store TeX-auto-generate-global TeX-auto-generate) "tex-auto" "tex-auto.el" (11535 33978))
;;; Generated autoloads from tex-auto.el

(autoload (quote TeX-auto-generate) "tex-auto" "\
Generate style file for TEX and store it in AUTO.  
If TEX is a directory, generate style files for all files in the directory." t nil)

(autoload (quote TeX-auto-generate-global) "tex-auto" "\
Create global auto directory for global TeX macro definitions." t nil)

(autoload (quote BibTeX-auto-store) "tex-auto" "\
This function should be called from bibtex-mode-hook.
It will setup BibTeX to store keys in an auto file." nil nil)

;;;***

;;;### (autoloads (TeX-toggle-debug-boxes TeX-next-error TeX-home-buffer TeX-kill-job TeX-recenter-output-buffer TeX-command-region TeX-command-master TeX-save-document) "tex-buf" "tex-buf.el" (11563 4843))
;;; Generated autoloads from tex-buf.el

(autoload (quote TeX-save-document) "tex-buf" "\
Save all files belonging to the current document.
Return non-nil if document need to be re-TeX'ed." t nil)

(autoload (quote TeX-command-master) "tex-buf" "\
Run command on the current document." t nil)

(autoload (quote TeX-command-region) "tex-buf" "\
Run TeX on the current region.

Query the user for a command to run on the temporary file specified by
the variable TeX-region.  If the chosen command is so marked in
TeX-command-list, and no argument (or nil) is given to the command,
the region file file be recreated with the current region.  If mark is
not active, the new text in the previous used region will be used.

If the master file for the document has a header, it is written to the
temporary file before the region itself.  The documents header is all
text until TeX-header-end.

If the master file for the document has a trailer, it is written to
the temporary file before the region itself.  The documents trailer is
all text after TeX-trailer-start." t nil)

(autoload (quote TeX-recenter-output-buffer) "tex-buf" "\
Redisplay buffer of TeX job output so that most recent output can be seen.
The last line of the buffer is displayed on line LINE of the window, or
at bottom if LINE is nil." t nil)

(autoload (quote TeX-kill-job) "tex-buf" "\
Kill the currently running TeX job." t nil)

(autoload (quote TeX-home-buffer) "tex-buf" "\
Go to the buffer where you last issued a TeX command.  
If there is no such buffer, or you already are in that buffer, find
the master file." t nil)

(autoload (quote TeX-next-error) "tex-buf" "\
Find the next error in the TeX output buffer.
Prefix by C-u to start from the beginning of the errors." t nil)

(autoload (quote TeX-toggle-debug-boxes) "tex-buf" "\
Toggle if the debugger should display \"bad boxes\" too." t nil)

;;;***

;;;### (autoloads (texinfo-mode) "tex-info" "/user/amanda/auctex/tex-info.el" (11435 26134))
;;; Generated autoloads from /user/amanda/auctex/tex-info.el

(autoload (quote texinfo-mode) "tex-info" "\
Major mode for editing files of input for TeXinfo.

Special commands:
\\{TeXinfo-mode-map}

Entering TeXinfo mode calls the value of text-mode-hook,
then the value of TeX-mode-hook, and then the value of
TeXinfo-mode-hook." t nil)

;;;***

;;;### (autoloads (japanese-slitex-mode japanese-latex-mode japanese-plain-tex-mode) "tex-jp" "/user/amanda/auctex/tex-jp.el" (11499 54981))
;;; Generated autoloads from /user/amanda/auctex/tex-jp.el

(autoload (quote japanese-plain-tex-mode) "tex-jp" "\
Major mode for editing files of input for Japanese plain TeX.
Makes $ and } display the characters they match.
Makes \" insert `` when it seems to be the beginning of a quotation,
and '' when it appears to be the end; it inserts \" only after a \\.

See info under AUC TeX for full documentation.

Special commands:
\\{TeX-mode-map}
 
Entering japanese-plain-tex-mode calls the value of text-mode-hook,
then the value of TeX-mode-hook, and then the value
of plain-tex-mode-hook." t nil)

(autoload (quote japanese-latex-mode) "tex-jp" "\
Major mode for editing files of input for Japanese LaTeX.

Makes $ and } display the characters they match.
Makes \" insert `` when it seems to be the beginning of a quotation,
and '' when it appears to be the end; it inserts \" only after a \\.
LFD and TAB indent lines as with programming modes.

See under AUC TeX for full documentation.

Special commands:
\\{LaTeX-mode-map}

Entering japanese-LaTeX mode calls the value of text-mode-hook,
then the value of TeX-mode-hook, and then the value
of LaTeX-mode-hook." t nil)

(autoload (quote japanese-slitex-mode) "tex-jp" "\
Major mode for editing files of input for Japanese SliTeX.

Makes $ and } display the characters they match.
Makes \" insert `` when it seems to be the beginning of a quotation,
and '' when it appears to be the end; it inserts \" only after a \\.
LFD and TAB indent lines as with programming modes.

See under AUC TeX for full documentation.

Special commands:
\\{LaTeX-mode-map}

Entering japanese-SLiTeX mode calls the value of text-mode-hook,
then the value of TeX-mode-hook, and then the value
of LaTeX-mode-hook. and then the value of SliTeX-mode-hook." t nil)

;;;***

;;;### (autoloads (TeX-submit-bug-report TeX-insert-quote foiltex-mode ams-latex-mode slitex-mode latex2e-mode latex-mode ams-tex-mode plain-tex-mode tex-mode) "tex-init" "tex-init.el" (11564 10270))
;;; Generated autoloads from tex-init.el

(autoload (quote tex-mode) "tex-init" "\
Major mode for editing files of input for TeX or LaTeX.
Tries to guess whether this file is for plain TeX or LaTeX.

The algorithm is as follows:

   1) if the file is empty or TeX-force-default-mode is not set to nil, 
      TeX-default-mode is chosen 
   2) If \\documentstyle or \\begin{, \\section{, \\part{ or \\chapter{ is
      found, latex-mode is selected.
   3) Otherwise, use plain-tex-mode " t nil)

(autoload (quote plain-tex-mode) "tex-init" "\
Major mode for editing files of input for plain TeX.
Makes $ and } display the characters they match.
Makes \" insert `` when it seems to be the beginning of a quotation,
and '' when it appears to be the end; it inserts \" only after a \\.

See info under AUC TeX for full documentation.

Special commands:
\\{TeX-mode-map}
 
Entering plain-tex-mode calls the value of text-mode-hook,
then the value of TeX-mode-hook, and then the value
of plain-TeX-mode-hook." t nil)

(autoload (quote ams-tex-mode) "tex-init" "\
Major mode for editing files of input for AmS TeX.
Makes $ and } display the characters they match.
Makes \" insert `` when it seems to be the beginning of a quotation,
and '' when it appears to be the end; it inserts \" only after a \\.

See info under AUC TeX for full documentation.

Special commands:
\\{TeX-mode-map}
 
Entering ams-tex mode calls the value of text-mode-hook,
then the value of TeX-mode-hook, the value of plain-TeX-mode-hook, and
then the value of AmS-TeX-mode-hook." t nil)

(autoload (quote latex-mode) "tex-init" "\
Major mode for editing files of input for LaTeX.

Makes $ and } display the characters they match.
Makes \" insert `` when it seems to be the beginning of a quotation,
and '' when it appears to be the end; it inserts \" only after a \\.
LFD and TAB indent lines as with programming modes.

See under AUC TeX for full documentation.

Special commands:
\\{LaTeX-mode-map}

Entering LaTeX mode calls the value of text-mode-hook,
then the value of TeX-mode-hook, and then the value
of LaTeX-mode-hook." t nil)

(autoload (quote latex2e-mode) "tex-init" "\
Major mode for editing files of input for LaTeX2e.

Makes $ and } display the characters they match.
Makes \" insert `` when it seems to be the beginning of a quotation,
and '' when it appears to be the end; it inserts \" only after a \\.
LFD and TAB indent lines as with programming modes.

See under AUC TeX for full documentation.

Special commands:
\\{LaTeX-mode-map}

Entering LaTeX2e mode calls the value of text-mode-hook,
then the value of TeX-mode-hook, and then the value
of LaTeX-mode-hook, and finally the value of LaTeX2e-mode-hook." t nil)

(autoload (quote slitex-mode) "tex-init" "\
Major mode for editing files of input for SliTeX.

Makes $ and } display the characters they match.
Makes \" insert `` when it seems to be the beginning of a quotation,
and '' when it appears to be the end; it inserts \" only after a \\.
LFD and TAB indent lines as with programming modes.

See under AUC TeX for full documentation.

Special commands:
\\{LaTeX-mode-map}

Entering LaTeX mode calls the value of text-mode-hook,
then the value of TeX-mode-hook, and then the value
of LaTeX-mode-hook. and then the value of SliTeX-mode-hook." t nil)

(autoload (quote ams-latex-mode) "tex-init" "\
Major mode for editing files of input for AmS-LaTeX.

Makes $ and } display the characters they match.
Makes \" insert `` when it seems to be the beginning of a quotation,
and '' when it appears to be the end; it inserts \" only after a \\.
LFD and TAB indent lines as with programming modes.

See under AUC TeX for full documentation.

Special commands:
\\{LaTeX-mode-map}

Entering AmS LaTeX mode calls the value of text-mode-hook, then the
value of TeX-mode-hook, then the value of AmS-TeX-mode-hook, and then
the value of LaTeX-mode-hook. and then the value of
AmS-LaTeX-mode-hook." t nil)

(autoload (quote foiltex-mode) "tex-init" "\
Major mode for editing files of input for FoilTeX.

Makes $ and } display the characters they match.
Makes \" insert `` when it seems to be the beginning of a quotation,
and '' when it appears to be the end; it inserts \" only after a \\.
LFD and TAB indent lines as with programming modes.

FoilTeX is a latex macropackage for creating foils.

FoilTeX has been devoped by IBM, and is available for non-commercial
experimental use.  See the file fltplain.tex of the FoilTeX distribution
for the correct and complete license agreement.

FoilTeX can be copied from many major ftp archives, for example at
ymir.claremont.edu in tex/inputs/foiltex.

Special commands:
\\{LaTeX-mode-map}

Entering FoilTeX mode calls the value of text-mode-hook,
then the value of TeX-mode-hook, and then the value
of LaTeX-mode-hook. and then the value of FoilTeX-mode-hook." t nil)

(autoload (quote TeX-insert-quote) "tex-init" "\
Insert the appropriate quote marks for TeX.
Inserts the value of `TeX-open-quote' (normally ``) or `TeX-close-quote'
(normally '') depending on the context.  With prefix argument, always
inserts \" characters." t nil)

(fset (quote tex-insert-quote) (quote TeX-insert-quote))

(autoload (quote TeX-submit-bug-report) "tex-init" "\
Submit via mail a bug report on AUC TeX" t nil)

;;;***


(provide 'tex-load)

;;; tex-load.el ends here


